# exper

`exper` is a very lightweight Python package designed for personal use to speed up the execution of PyTorch-based deep learning experiments. This framework is specifically crafted to support Distributed Data Parallel (DDP) training, mix precision training and provides a convenient mechanism for saving experiment logs.

## Features:

- **PyTorch Integration:** Built on top of PyTorch, `exper` allows seamless integration with the PyTorch deep learning ecosystem.
  
- **DDP Training Support:** `exper` supports Distributed Data Parallel training, enabling efficient and scalable model training across multiple GPUs.

- **Experiment Logging:** Easily log and save experiment details, parameters, and results for better reproducibility and analysis.

- **Based on TorchDrug:** `exper` is derived from the open-source library [TorchDrug](https://github.com/DeepGraphLearning/torchdrug/tree/master) developed by MILA, providing a foundation for reliable and robust deep learning experiments.

## Installation:
```bash
pip install exper
```

## License
`exper` is released under [Apache-2.0 License](https://github.com/DeepGraphLearning/torchdrug/blob/master/LICENSE).

## Contributing
Feel free to contribute your codes to make this package easy to use.
